import request from '@/utils/request'

// 查询项目报价--物料分类列表
export function listQuoteMaterialType(query) {
  return request({
    url: '/system/QuoteMaterialType/list',
    method: 'get',
    params: query
  })
}

// 查询项目报价--物料分类详细
export function getQuoteMaterialType(id) {
  return request({
    url: '/system/QuoteMaterialType/' + id,
    method: 'get'
  })
}
// 任务状态修改
export function changetypeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/QuoteMaterialType/changeStatus',
    method: 'put',
    data: data
  })
}
// 新增项目报价--物料分类
export function addQuoteMaterialType(data) {
  return request({
    url: '/system/QuoteMaterialType',
    method: 'post',
    data: data
  })
}

// 修改项目报价--物料分类
export function updateQuoteMaterialType(data) {
  return request({
    url: '/system/QuoteMaterialType',
    method: 'put',
    data: data
  })
}

// 删除项目报价--物料分类
export function delQuoteMaterialType(id) {
  return request({
    url: '/system/QuoteMaterialType/' + id,
    method: 'delete'
  })
}
